Support » Plugin: SparkPost » Sparkpost update crashing website

  • Resolved bagbros1

    (@bagbros1)


    The latest version Version 3.00 crashes my sites _ had to fall back on the previous version.
    Please advise when the problem is fixed- I am using the Divi theme from elegant themes.
    My sites are all up to date .

    Thanks

    Guy

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Contributor rajuru

    (@rajuru)

    Sorry to hear that. I got another similar complain but could not reproduce it.

    What php and wordpress version are you using?

    @rajuru,

    I also faced the same issue.

    The reason why this is failing is because in the new version of the plugin you are using shorter array syntax [] vs array().

    This shorter version works only in PHP 5.4 and above – http://php.net/manual/en/migration54.new-features.php

    But WordPress runs on PHP > 5.2. So the latest version of the plugin breaks PHP 5.2 and 5.3.

    Plugin Contributor rajuru

    (@rajuru)

    @sudar
    Thanks for explanation.

    The plugin not gonna work at all below php 5.3 as we use namespace. However, we require PHP 5.6.

    Also I admit it was not clear. So I just logged an issue to make it clear in plugin page.

    Also we’re releasing a patch to fix the issue for now.

    I am a plugin author myself and I can understand you not supporting PHP < 5.6. But as you said it would be nice if you could update the plugin readme about this requirement so that people won’t install it on unsupported PHP versions which results in broken sites.

    Also FYI, the previous version works properly in PHP 5.3. So may be if you just remove the shorter array syntax then you can easily support PHP 5.3 to 5.6.

    I will subscribe to the github issue that you reported.

    Ohh.. BTW I just found that you have released v3.0.1 with the above fix.

    I can confirm that it now works in PHP 5.3

    Plugin Contributor rajuru

    (@rajuru)

    @sudar
    Thanks for your insights. Yeah, our goal was to support php versions that wordpress supports but didn’t reach EOL. We’ll do better job clarifying that.

    Thanks for testing our latest version and confirming.

    Again thanks everyone for letting us know promptly and for your patience; we’re sorry for any inconvenience occurred in the meantime.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Sparkpost update crashing website’ is closed to new replies.